--- old/usr/src/uts/common/io/usb/hcd/openhci/ohci.c	2015-08-19 07:25:18.535590679 -0400
+++ new/usr/src/uts/common/io/usb/hcd/openhci/ohci.c	2015-08-19 07:25:18.541748886 -0400
@@ -1677,7 +1677,7 @@
 	ohcip->ohci_hc_soft_state = OHCI_CTLR_OPERATIONAL_STATE;
 
 	/* Get the number of clock ticks to wait */
-	sof_time_wait = drv_usectohz(OHCI_MAX_SOF_TIMEWAIT * 1000000);
+	sof_time_wait = drv_sectohz(OHCI_MAX_SOF_TIMEWAIT);
 
 	/* Clear ohci_sof_flag indicating waiting for SOF interrupt */
 	ohcip->ohci_sof_flag = B_FALSE;
@@ -7512,7 +7512,7 @@
 	 */
 	if ((!ohcip->ohci_timer_id) && (ohcip->ohci_timeout_list)) {
 		ohcip->ohci_timer_id = timeout(ohci_xfer_timeout_handler,
-		    (void *)ohcip, drv_usectohz(1000000));
+		    (void *)ohcip, drv_sectohz(1));
 	}
 }
 
@@ -9951,7 +9951,7 @@
 	/* Start the global timer */
 	if (xfer_timer_id) {
 		ohcip->ohci_timer_id = timeout(ohci_xfer_timeout_handler,
-		    (void *)ohcip, drv_usectohz(1000000));
+		    (void *)ohcip, drv_sectohz(1));
 	}
 
 	return (USB_SUCCESS);
@@ -10204,7 +10204,7 @@
 	}
 
 	/* Get the number of clock ticks to wait */
-	sof_time_wait = drv_usectohz(OHCI_MAX_SOF_TIMEWAIT * 1000000);
+	sof_time_wait = drv_sectohz(OHCI_MAX_SOF_TIMEWAIT);
 
 	sof_wait_count = 0;
 
@@ -10488,7 +10488,7 @@
 	}
 
 	(void) cv_reltimedwait(&pp->pp_xfer_cmpl_cv, &ohcip->ohci_int_mutex,
-	    drv_usectohz(OHCI_XFER_CMPL_TIMEWAIT * 1000000), TR_CLOCK_TICK);
+	    drv_sectohz(OHCI_XFER_CMPL_TIMEWAIT), TR_CLOCK_TICK);
 
 	if (pp->pp_count_done_tds) {
 
